await seam.noiseSensors.noiseThresholds.list({
device_id: "a60d1a44-5727-4223-8b58-9c2455eb57fc",
});
/*
[
{
"device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc",
"ends_daily_at": "2025-06-19T12:38:44.000Z",
"name": "My Noise Sensor",
"noise_threshold_decibels": 50,
"noise_threshold_id": "f8cef69d-625f-464c-aed4-287c06e0d7fe",
"noise_threshold_nrs": 40,
"starts_daily_at": "2025-06-20T18:29:57.000Z"
}
]
*/{
"noise_thresholds": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_daily_at": "<string>",
"name": "<string>",
"noise_threshold_decibels": 123,
"noise_threshold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_daily_at": "<string>",
"noise_threshold_nrs": 123
}
]
}Noise Thresholds
List Noise Thresholds
Returns a list of all noise thresholds for a noise sensor.
GET
/
noise_sensors
/
noise_thresholds
/
list
await seam.noiseSensors.noiseThresholds.list({
device_id: "a60d1a44-5727-4223-8b58-9c2455eb57fc",
});
/*
[
{
"device_id": "a60d1a44-5727-4223-8b58-9c2455eb57fc",
"ends_daily_at": "2025-06-19T12:38:44.000Z",
"name": "My Noise Sensor",
"noise_threshold_decibels": 50,
"noise_threshold_id": "f8cef69d-625f-464c-aed4-287c06e0d7fe",
"noise_threshold_nrs": 40,
"starts_daily_at": "2025-06-20T18:29:57.000Z"
}
]
*/{
"noise_thresholds": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ends_daily_at": "<string>",
"name": "<string>",
"noise_threshold_decibels": 123,
"noise_threshold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_daily_at": "<string>",
"noise_threshold_nrs": 123
}
]
}Authorizations
client_sessionapi_keypat_with_workspaceconsole_session_with_workspacesupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the device for which you want to list noise thresholds.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?